<?php

//ajout d'une option de durée maximale de réservation à distance
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_reseleve_dureemax'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_reseleve_dureemax', '0', 'Option de durée maximale pour la réservation à distance (en jours).')");
}

//ajout d'une option d'affichage des heures d'inscriptions et de sorties dans la journal
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_jhors'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_jhors', '0', 'Option de visualisation des heures d\'inscriptions et de sorties dans le journal.')");
}

//ajout d'une option d'inscription par copié/collé depuis Pronote
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_inscritpronote'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('freq_inscritpronote', '0', 'Option d\'inscription par copié/collé depuis Pronote.')");
}

//ajout d'un choix de méthode pour l'envoi de mails
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'mail_method'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('mail_method', 'php', 'Choix de la méthode pour envoi de mails.')");
}

// Changement d'un intitulé d'option dans le bdd
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET comments = 'Possibilité d\'opérer des modifications dans le journal.' WHERE param_nom = 'freq_chgtactiv'");

// Ajout d'une colonne pays dans la table _etab
mysqli_query($bdd,"ALTER TABLE ".$prefix."_etab ADD pays VARCHAR ( 5 ) DEFAULT NULL");
mysqli_query($bdd,"UPDATE ".$prefix."_etab SET pays = 'fra'");

// Ajout de colonnes hor et activ dans la table _freq, et de 2 activités
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freq ADD hor_name VARCHAR ( 2 ) DEFAULT NULL");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freq ADD code_activ VARCHAR ( 4 ) DEFAULT NULL");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freq ADD code_activ2 VARCHAR ( 4 ) DEFAULT NULL");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freq ADD code_activ3 VARCHAR ( 4 ) DEFAULT NULL");

// Ajout de colonnes pour les sorties et réinscriptions
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freq ADD h_sortie varchar(15) DEFAULT NULL");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freq ADD h_inscription2 varchar(15) DEFAULT NULL");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freq ADD h_sortie_2 varchar(15) DEFAULT NULL");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freq ADD h_inscription3 varchar(15) DEFAULT NULL");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freq ADD h_sortie_3 varchar(15) DEFAULT NULL");

// Transfert des données de code_freq vers les deux colonnes hor_name et code_activ
$freq = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freq");
foreach($freq as $freq_modif) {
	mysqli_query($bdd,"UPDATE ".$prefix."_freq SET hor_name = '".substr($freq_modif['code_freq'], 10, 2)."', code_activ = '".substr($freq_modif['code_freq'], -4, 4)."' WHERE freq_id = '".$freq_modif['freq_id']."'");
}

// Ajout de colonnes hor et activ dans la table _freqgrappes
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freqgrappes ADD hor_name VARCHAR ( 2 ) DEFAULT NULL");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freqgrappes ADD code_activ VARCHAR ( 4 ) DEFAULT NULL");
// Transfert des données de code_freq vers les deux colonnes hor_name et code_activ
$freq = mysqli_query($bdd,"SELECT * FROM ".$prefix."_freqgrappes");
foreach($freq as $freq_modif) {
	@mysqli_query($bdd,"UPDATE ".$prefix."_freqgrappes SET hor_name = '".substr($freq_modif['code_freq'], 10, 2)."', code_activ = '".substr($freq_modif['code_freq'], -4, 4)."' WHERE freqgrap_id = '".$freq_modif['freqgrap_id']."'");
}

// Ajout de colonnes auth_mail et auth_chat dans la table _user
mysqli_query($bdd,"ALTER TABLE ".$prefix."_user ADD auth_mail INT ( 11 ) DEFAULT '0'");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_user ADD auth_chat INT ( 11 ) DEFAULT '0'");

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.32' WHERE param_nom = 'version_bdd'");
?>